Bug 315602 - Crash on loading .ods
Summary: Crash on loading .ods
Status: RESOLVED FIXED
Alias: None
Product: calligrasheets
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Calligra Sheets (KSpread) Bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2013-02-21 21:32 UTC by Christoph Feck
Modified: 2013-06-24 17:03 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Feck 2013-02-21 21:32:58 UTC
Application: calligrasheets (2.7 Pre-Alpha)
KDE Platform Version: 4.10.60 (Compiled from sources)
Qt Version: 4.8.4
Operating System: Linux 3.7.9-2-desktop i686
Distribution: "openSUSE 12.2 (i586)"

-- Information about the crash:
- What I was doing when the application crashed:

Trying to verify if bug 298497 is still reproducible, I again tried to open http://www.squeezechart.com/SqueezeChart2012web.ods with Calligra Sheets. This time, it simply crashes, before loading is finished.

The crash can be reproduced every time.

-- Backtrace:
Application: Calligra Sheets (calligrasheets), signal: Aborted
Using host libthread_db library "/lib/libthread_db.so.1".
[KCrash Handler]
#7  0xb7762424 in __kernel_vsyscall ()
#8  0xb5cb331f in raise () from /lib/libc.so.6
#9  0xb5cb4c03 in abort () from /lib/libc.so.6
#10 0xb6b19e3e in qt_message_output(QtMsgType, char const*) () from /usr/lib/libQtCore.so.4
#11 0xb6b1a039 in ?? () from /usr/lib/libQtCore.so.4
#12 0xb6b1a158 in qFatal(char const*, ...) () from /usr/lib/libQtCore.so.4
#13 0xb6b1a19d in qt_assert_x(char const*, char const*, char const*, int) () from /usr/lib/libQtCore.so.4
#14 0xadacc8c5 in QVector<Calligra::Sheets::Value>::operator[] (this=0xbfbfbea0, i=2) at /usr/include/QtCore/qvector.h:359
#15 0xadacb1bb in func_yearFrac (args=..., calc=0x932e3b8) at /local/git/extragear/office/calligra/sheets/functions/datetime.cpp:907
#16 0xaee44a40 in Calligra::Sheets::Function::exec (this=0x93b25e8, args=..., calc=0x932e3b8, extra=0xbfbfbfc8) at /local/git/extragear/office/calligra/sheets/Function.cpp:160
#17 0xaed91450 in Calligra::Sheets::Formula::evalRecursive (this=0xbfbfc77c, cellIndirections=..., values=...) at /local/git/extragear/office/calligra/sheets/Formula.cpp:1865
#18 0xaed8e69d in Calligra::Sheets::Formula::eval (this=0xbfbfc77c, cellIndirections=...) at /local/git/extragear/office/calligra/sheets/Formula.cpp:1482
#19 0xaedaa4bc in Calligra::Sheets::RecalcManager::recalc (this=0x9321100, updater=0xc791ea8) at /local/git/extragear/office/calligra/sheets/RecalcManager.cpp:252
#20 0xaedaa14e in Calligra::Sheets::RecalcManager::recalcMap (this=0x9321100, updater=0xc791ea8) at /local/git/extragear/office/calligra/sheets/RecalcManager.cpp:205
#21 0xaed9cd22 in Calligra::Sheets::Map::completeLoading (this=0x931eca0, store=0x9402e58) at /local/git/extragear/office/calligra/sheets/Map.cpp:248
#22 0xaefee499 in Calligra::Sheets::Doc::completeLoading (this=0x9318aa8, store=0x9402e58) at /local/git/extragear/office/calligra/sheets/part/Doc.cpp:479
#23 0xb141735a in KoDocument::loadNativeFormatFromStoreInternal (this=0x9318aa8, store=0x9402e58) at /local/git/extragear/office/calligra/libs/main/KoDocument.cpp:1656
#24 0xb14163ab in KoDocument::loadNativeFormatFromStore (this=0x9318aa8, file=...) at /local/git/extragear/office/calligra/libs/main/KoDocument.cpp:1538
#25 0xb14160ff in KoDocument::loadNativeFormat (this=0x9318aa8, file_=...) at /local/git/extragear/office/calligra/libs/main/KoDocument.cpp:1518
#26 0xb14149ff in KoDocument::openFile (this=0x9318aa8) at /local/git/extragear/office/calligra/libs/main/KoDocument.cpp:1329
#27 0xb14ba11b in KoPart::openFile (this=0x9318468) at /local/git/extragear/office/calligra/libs/main/KoPart.cpp:190
#28 0xb46e2b65 in KParts::ReadOnlyPartPrivate::_k_slotJobFinished (this=0x93186c8, job=0x93e2da8) at /local/git/KDE/libs/kdelibs/kparts/part.cpp:694
#29 0xb46e4971 in KParts::ReadOnlyPart::qt_static_metacall (_o=0x9318468, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0xbfbfced8) at /local/build/KDE/libs/kdelibs/kparts/part.moc:173
#30 0xb6c4f9b2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#31 0xb6f573f4 in KJob::result (this=0x93e2da8, _t1=0x93e2da8) at /local/build/KDE/libs/kdelibs/kdecore/kjob.moc:208
#32 0xb6f5699b in KJob::emitResult (this=0x93e2da8) at /local/git/KDE/libs/kdelibs/kdecore/jobs/kjob.cpp:318
#33 0xb4eb6255 in KIO::FileCopyJob::slotResult (this=0x93e2da8, job=0x93d2ad0) at /local/git/KDE/libs/kdelibs/kio/kio/job.cpp:2449
#34 0xb4eb9bed in KIO::FileCopyJob::qt_static_metacall (_o=0x93e2da8, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0xbfbfd088) at /local/build/KDE/libs/kdelibs/kio/jobclasses.moc:800
#35 0xb6c4f9b2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#36 0xb6f573f4 in KJob::result (this=0x93d2ad0, _t1=0x93d2ad0) at /local/build/KDE/libs/kdelibs/kdecore/kjob.moc:208
#37 0xb6f5699b in KJob::emitResult (this=0x93d2ad0) at /local/git/KDE/libs/kdelibs/kdecore/jobs/kjob.cpp:318
#38 0xb4eae80d in KIO::SimpleJob::slotFinished (this=0x93d2ad0) at /local/git/KDE/libs/kdelibs/kio/kio/job.cpp:494
#39 0xb4eb14f7 in KIO::TransferJob::slotFinished (this=0x93d2ad0) at /local/git/KDE/libs/kdelibs/kio/kio/job.cpp:1081
#40 0xb4eb8f77 in KIO::TransferJob::qt_static_metacall (_o=0x93d2ad0, _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0xbfbfd35c) at /local/build/KDE/libs/kdelibs/kio/jobclasses.moc:388
#41 0xb6c4f9b2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#42 0xb4f6448f in KIO::SlaveInterface::finished (this=0x926a650) at /local/build/KDE/libs/kdelibs/kio/slaveinterface.moc:185
#43 0xb4f618fe in KIO::SlaveInterface::dispatch (this=0x926a650, _cmd=104, rawdata=...) at /local/git/KDE/libs/kdelibs/kio/kio/slaveinterface.cpp:172
#44 0xb4f6159e in KIO::SlaveInterface::dispatch (this=0x926a650) at /local/git/KDE/libs/kdelibs/kio/kio/slaveinterface.cpp:88
#45 0xb4f57478 in KIO::Slave::gotInput (this=0x926a650) at /local/git/KDE/libs/kdelibs/kio/kio/slave.cpp:344
#46 0xb4f58574 in KIO::Slave::qt_static_metacall (_o=0x926a650, _c=QMetaObject::InvokeMetaMethod, _id=2, _a=0xbfbfd65c) at /local/build/KDE/libs/kdelibs/kio/slave.moc:57
#47 0xb6c4f9b2 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#48 0xb4e7f197 in KIO::Connection::readyRead (this=0x93e0610) at /local/build/KDE/libs/kdelibs/kio/connection.moc:106
#49 0xb4e7be5c in KIO::ConnectionPrivate::dequeue (this=0x924a320) at /local/git/KDE/libs/kdelibs/kio/kio/connection.cpp:82
#50 0xb4e7f016 in KIO::Connection::qt_static_metacall (_o=0x93e0610, _c=QMetaObject::InvokeMetaMethod, _id=1, _a=0x93efa98) at /local/build/KDE/libs/kdelibs/kio/connection.moc:56
#51 0xb6c493da in QMetaCallEvent::placeMetaCall(QObject*) () from /usr/lib/libQtCore.so.4
#52 0xb6c4d93b in QObject::event(QEvent*) () from /usr/lib/libQtCore.so.4
#53 0xb6106b9c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#54 0xb610b59f in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#55 0xb140a211 in KoApplication::notify (this=0xbfbfdeac, receiver=0x93e0610, event=0x93762a8) at /local/git/extragear/office/calligra/libs/main/KoApplication.cpp:555
#56 0xb6c3765e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#57 0xb6c3b3ad in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib/libQtCore.so.4
#58 0xb6c3b62c in QCoreApplication::sendPostedEvents(QObject*, int) () from /usr/lib/libQtCore.so.4
#59 0xb6c694b4 in ?? () from /usr/lib/libQtCore.so.4
#60 0xb569f7d3 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#61 0xb569fb70 in ?? () from /usr/lib/libglib-2.0.so.0
#62 0xb569fc51 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#63 0xb6c69631 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#64 0xb61b848a in ?? () from /usr/lib/libQtGui.so.4
#65 0xb6c3612c in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#66 0xb6c36421 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#67 0xb6c3b6da in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#68 0xb6104a14 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#69 0xb49e7735 in kdemain (argc=2, argv=0x9152060) at /local/git/extragear/office/calligra/sheets/part/Main.cpp:43
#70 0x0804de1d in launch (argc=2, _name=0x91525f4 "/local/kde4/bin/calligrasheets", args=0x9152647 "\001", cwd=0x0, envc=1, envs=0x9152656 "", reset_env=false, tty=0x0, avoid_loops=false, startup_id_str=0x915265a "duo;1361482045;234417;8116_TIME28934978") at /local/git/KDE/libs/kdelibs/kinit/kinit.cpp:726
#71 0x0804ee76 in handle_launcher_request (sock=8, who=0x8053924 "launcher") at /local/git/KDE/libs/kdelibs/kinit/kinit.cpp:1218
#72 0x0804f5f0 in handle_requests (waitForPid=0) at /local/git/KDE/libs/kdelibs/kinit/kinit.cpp:1411
#73 0x08050fb6 in main (argc=4, argv=0xbfbfe534, envp=0xbfbfe548) at /local/git/KDE/libs/kdelibs/kinit/kinit.cpp:1899

Reported using DrKonqi
Comment 1 Marijn Kruisselbrink 2013-03-09 13:51:30 UTC
Git commit e1e5305e1dc85f890e0f016010e39e9605205810 by Marijn Kruisselbrink.
Committed on 09/03/2013 at 14:50.
Pushed by mkruisselbrink into branch 'master'.

Fix bug in YEARFRAC function. Third parameter is optional, so don't try to access it blindly.

M  +3    -1    sheets/functions/datetime.cpp
M  +10   -0    sheets/tests/TestDatetimeFunctions.cpp

http://commits.kde.org/calligra/e1e5305e1dc85f890e0f016010e39e9605205810